<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="namespaceOgre_1_1RTShader.html">RTShader</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator.html">ShaderGenerator</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGSceneManagerListener.html">SGSceneManagerListener</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::RTShader::ShaderGenerator::SGSceneManagerListener Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGSceneManagerListener.html">Ogre::RTShader::ShaderGenerator::SGSceneManagerListener</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html#a05a9a139f53f89d5595c4f3101ea53d3">Listener</a>()</td><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html">Ogre::SceneManager::Listener</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGSceneManagerListener.html#a869833969b25e4ce50e356df76b00f9c">mOwner</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGSceneManagerListener.html">Ogre::RTShader::ShaderGenerator::SGSceneManagerListener</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGSceneManagerListener.html#af36f5d78e45614ecae54722592818b2e">postFindVisibleObjects</a>(SceneManager *source, SceneManager::IlluminationRenderStage irs, Viewport *v)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGSceneManagerListener.html">Ogre::RTShader::ShaderGenerator::SGSceneManagerListener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html#ad8f0c1e1efaccade0663e416d76b960c">postUpdateSceneGraph</a>(SceneManager *source, Camera *camera)</td><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html">Ogre::SceneManager::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGSceneManagerListener.html#abd9bdb17d982f4b529bb591daa0724e0">preFindVisibleObjects</a>(SceneManager *source, SceneManager::IlluminationRenderStage irs, Viewport *v)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGSceneManagerListener.html">Ogre::RTShader::ShaderGenerator::SGSceneManagerListener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html#aaafbc877eaf190b86163c1e171a4400e">preUpdateSceneGraph</a>(SceneManager *source, Camera *camera)</td><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html">Ogre::SceneManager::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html#a9d5463252458a8852b0011935e6f5bb5">sceneManagerDestroyed</a>(SceneManager *source)</td><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html">Ogre::SceneManager::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGSceneManagerListener.html#a83776bab4dc094d2c7613c52df8a8c3c">SGSceneManagerListener</a>(ShaderGenerator *owner)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGSceneManagerListener.html">Ogre::RTShader::ShaderGenerator::SGSceneManagerListener</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGSceneManagerListener.html#a54ea4b8b051acb47001eeadcf9c8bb7d">shadowTextureCasterPreViewProj</a>(Light *light, Camera *camera, size_t iteration)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGSceneManagerListener.html">Ogre::RTShader::ShaderGenerator::SGSceneManagerListener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGSceneManagerListener.html#a45b16b4d1b134cbce3b43bfca2a0786c">shadowTextureReceiverPreViewProj</a>(Light *light, Frustum *frustum)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGSceneManagerListener.html">Ogre::RTShader::ShaderGenerator::SGSceneManagerListener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGSceneManagerListener.html#af6c4f9d4ea7eab3a5191618d6cbeea21">shadowTexturesUpdated</a>(size_t numberOfShadowTextures)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGSceneManagerListener.html">Ogre::RTShader::ShaderGenerator::SGSceneManagerListener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html#a5ef1be858fe331867653fbb8aa819494">sortLightsAffectingFrustum</a>(LightList &amp;lightList)</td><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html">Ogre::SceneManager::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html#a084b73ccf5c6677ab2c22c3a912fbae1">~Listener</a>()</td><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html">Ogre::SceneManager::Listener</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:32
</p>
</body>
</html>
